<?php namespace App\Entities\Perfil;

use App\Utils\Entity;

class Perfil extends Entity
{
    protected $id;
    protected $descricao;

    public static function builder () : PerfilBuilder {
        return new PerfilBuilder();
    }

    public function getId() : int
    {
        return $this->id;
    }

    public function getDescricao() : string
    {
        return $this->descricao;
    }


    public function setId(int $id) : void
    {
        $this->id = $id;
    }

    public function setDescricao(string $descricao) : void
    {
        $this->descricao = $descricao;
    }

}